Get current user
curl --request GET \
--url https://api.example.com/exo-api/whoamiimport requests
url = "https://api.example.com/exo-api/whoami"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/exo-api/whoami', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"name": "<string>",
"email": "<string>"
}Resources
Get current user
Returns the authenticated user’s identity.
GET
/
exo-api
/
whoami
Get current user
Returns the
Example response:
id, name, and email of the user associated with the Bearer token. Use this to verify your token is working.
Request
curl -H "Authorization: Bearer YOUR_TOKEN" \
https://your-app.com/exo-api/whoami
Response
integer
The user’s ID.
string
The user’s name.
string
The user’s email address.
{
"id": 1,
"name": "Jane Smith",
"email": "[email protected]"
}
⌘I